%define upstream_name    Eval-Compile
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Eval/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Eval-Compile-0.11-fix-build.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Faster replacement for string evals. It takes evaled strings and compiles
into specific perl sub with some data, and do it once for any given string
So next execution take a fraction of first eval to execute.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-10.mga6
+ Revision: 1026936
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-9.mga6
+ Revision: 957269
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.110.0-8.mga6
+ Revision: 843673
- Fix build with perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-7.mga5
+ Revision: 749149
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 684649
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.110.0-5.mga5
+ Revision: 631146
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-4.mga4
+ Revision: 524301
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.110.0-3.mga4
+ Revision: 430690
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 366915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 294959
- update to 0.11

* Wed May 30 2012 jquelin <jquelin> 0.100.0-2.mga3
+ Revision: 250607
- rebuild for perl 5.16

* Mon Nov 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 165056
- imported package perl-Eval-Compile


* Mon Nov 07 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
